EDIT - feature request #9270

show original spelling on taxon page
11/02/2020 08:28 PM - Andreas Miiller

Status: Duplicate Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour

Target version:

Severity: normal

Description
ERS:

Der Name Vulpia fontqueriana has original spelling Vulpia fontquerana.

Daher wird mir im Editor im Freitextbereich richtig angezeigt:

Vulpia fontqueriana Melderis & Stace in Collect. Bot. (Barcelona) 7: 782. 1968 [as "Vulpia fontquerana"].

Wie kann ich den letzten Teil mir auch im Portal ausgeben lassen? Automatisch passiert es anscheinend nicht.

AM:

... Auf jeden Fall ist mir aber bekannt, dass es bei den orginal spellings noch offene Punkte gibt, ob diese gerade bei mir (cdmlib)
oder bei Andreas K. (portal) liegen, missen wir schauen.
Da sich beim Handling der original spellings mit dem n&chsten oder Ubernéchsten Release aber intern sowieso was &ndern wird,
ware das ein guter Anlass da nochmal drauf zu schauen.

AK:

auf der Namenseite wird diese Information schon angezeigt:
http://www.europlusmed.org/cdm_dataportal/name/3ab3345e-0746-4470-a4a9-2b22b2cb68a2

Allerdings gibt es derzeit noch eine direkte Verlinkung vom akzeptierten Taxon auf die Namensseite das ist bisher nur fir Synonyme
vorgesehen. Aber du mdchtest ohnehin etwas anderes, namlich eine kompakte Darstellung wie im Freitextbereich des Editor,
richtig?

AM:

ahh, interessant. Da ist ja auch die Kompakte Darstellung schon, allerdings mit anderer Reihenfolge

Vulpia fontqueriana Melderis & Stace [os " "7in Collect. Bot. (Barcelona) 7: 782. 1968
—_—

hac nrininal enallina Viilnia fanfansrrnn
Im Editor (unter Verwendung der DefaultCacheStrategy) wird das ans Ende gesetzt. Das scheint mir auch mehr Sinn zu machen, da
es sich ja auf die davor befindliche Quelle bezieht. Oder gab es daflr eine Nutzeranforderung, dass das [as ...] vorne stehen soll?
Wenn ich Eckhards Anforderung richtig verstehe geht es darum, die orginal spelling auch auf der Taxon Seite anzuzeigen, nicht nur
auf der Namensseite.

ERS:

also ich féande es schdn, wenn das original spelling auf der Taxon-Seite (die Namensseite schaut man ja meistens gar nicht an) so
angezeigt wirde:

Vulpia fontqueriana Melderis & Stace in Collect. Bot. (Barcelona) 7: 782. 1968 [as "fontquerana”]

Gab es dazu nicht schon mal eine Diskussion/ ein Ticket, auch mit den anderen EDIT-Portal-Nutzern?

... Ah, Post-Uberschneidung... ja, am Ende ist es sinnvoller. Jedenfalls aus meiner Sicht.
AK:
Ich erinnere mich jetzt nicht daran warum das nach dem Namen kommt, das war aber sicherlich eine Anfrage/Anforderung von

jemandem, vielleicht Henning? (ich nehme ihn daher gleich in cc). Jedenfalls wird das im Portal absichtlich umgestellt, wo habe ich
jetzt noch nicht herausgesucht.

Related issues:
http://www.europlusmed.org/cdm_dataportal/name/3ab3345e-0746-4470-a4a9-2b22b2cb68a2

Related to EDIT - feature request #3665: Further implementation of original s... Closed

Related to EDIT - feature request #3667: Implement correct implementation of ... Closed
Is duplicate of EDIT - bug #7781: original spelling is missing for accepted t... In Progress
History

#1 - 11/02/2020 08:35 PM - Andreas Miiller
This is probably a duplicate for #7781

#2 - 11/02/2020 08:35 PM - Andreas Miiller

- Is duplicate of bug #7781 original spelling is missing for accepted taxon in taxon page added

#3 - 01/13/2021 04:12 PM - Andreas Kohlbecker

- Target version changed from Release 5.18 to Release 5.19

#4 - 01/27/2021 03:14 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#5 - 03/10/2021 02:55 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#6 - 04/19/2021 02:48 PM - Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.46

#7 - 05/13/2021 01:56 PM - Andreas Miiller

- Related to feature request #3665: Further implementation of original spelling name caching added

#8 - 05/13/2021 01:56 PM - Andreas Miuller

- Related to feature request #3667: Implement correct implementation of original spelling in publications added

#9 - 05/13/2021 02:01 PM - Andreas Miller

Ich erinnere mich jetzt nicht daran warum das nach dem Namen kommt, das war aber sicherlich eine Anfrage/Anforderung von jemandem,
vielleicht Henning? (ich nehme ihn daher gleich in cc). Jedenfalls wird das im Portal absichtlich umgestellt, wo habe ich jetzt noch nicht
herausgesucht.
In #3665 wurde disktuiert, dass die original spelling hinter die Referenz soll, daher sollten wir es einheitlich machen und auch dort hinstellen.
Zudem taucht die original spelling derzeit auf Namensseite

http://www.europlusmed.org/cdm_dataportal/name/3ab3345e-0746-4470-a4a9-2b22b2cb68a2 gar nicht mehr auf, obwohl sie noch existiert (habe ich
gerade gecheckt).

#10 - 05/13/2021 02:04 PM - Andreas Miiller

- Status changed from New to Feedback

should we close this as duplicate (for #7781)?

#11 - 06/10/2021 08:42 AM - Andreas Miuiller

Andreas Muller wrote:

should we close this as duplicate (for #7781)?

??

#12 - 06/16/2021 10:40 AM - Andreas Kohlbecker
- Status changed from Feedback to Duplicate
- Target version deleted (Release 5.46)
https://dev.e-taxonomy.eu/redmine/issues/7781
https://dev.e-taxonomy.eu/redmine/issues/3665
http://www.europlusmed.org/cdm_dataportal/name/3ab3345e-0746-4470-a4a9-2b22b2cb68a2
https://dev.e-taxonomy.eu/redmine/issues/7781
https://dev.e-taxonomy.eu/redmine/issues/7781
